@font-face {
  font-family: 'Young Serif', serif;
  src: url();
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Young Serif';
}
#listaVacia{
    display: none;
    height: 70vh;
}
#listaVacia h3{
    text-align: center;
    margin-top: 50%;
}
#contenedorMeGusta{
    display: none;
}
#publicar{
    margin-top: 20%;
    text-align: center;
}
#publicarAdopcion{
    width: 90%;
    margin: auto;
}
.botones{
    width: 90%;
  margin: auto;
}

/* CARTEL CONFIRMAR ELIMINACION */
#confirmarEliminacion{
    display: none;
    position: fixed;
    left: 0%;
    right: 0%;
    top: 0%;
    bottom: 0%;
    background-color: rgba(0,0,0,0.8);
  }
  #contenedorConfirmarEliminacion{
    position: fixed;
    left: 10%;
    right: 10%;
    top: 30%;
    bottom: 30%;
    background-color: white;
    border-radius: 24px;
  }
  #contenedorConfirmarEliminacion h4{
    text-align: center;
    margin-top: 30%;
    font-size: 2rem;
  }
  #contenedorBotonesEliminacion{
    margin: auto;
      text-align: center;
      position: absolute;
      bottom: 2%;
      width: 100%;
  }

/* CARD */
.card{
    width: 90%!important;
    margin: auto;
    text-align: center;
}
.eliminar{
    width: 100%;
    margin: auto;
}

/* FOOTER */
footer{
  margin-top: 20%;
  background-color: black;
  color: white;
  padding: 0% 0;
  text-align: center;
  padding: 2% 0;
}
#redes{
  display: flex;
  justify-content:space-evenly;
  align-items: center;
}
#redes div i{
  font-size: 2rem;
}



/* ANIMACION CARGANDO */

/* Absolute Center Spinner */
#cargando{
    display: none;
}
.loading {
    position: fixed;
    z-index: 999;
    height: 2em;
    width: 2em;
    overflow: visible;
    margin: auto;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
  }
  
  /* Transparent Overlay */
  .loading:before {
    content: '';
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #161616;
  }
  
  /* :not(:required) hides these rules from IE9 and below */
  .loading:not(:required) {
    /* hide "loading..." text */
    font: 0/0 a;
    color: transparent;
    text-shadow: none;
    background-color: transparent;
    border: 0;
  }
  
  .loading:not(:required):after {
    content: '';
    display: block;
    font-size: 20px;
    width: 1em;
    height: 1em;
    margin-top: -0.5em;
    -webkit-animation: spinner 1500ms infinite linear;
    -moz-animation: spinner 1500ms infinite linear;
    -ms-animation: spinner 1500ms infinite linear;
    -o-animation: spinner 1500ms infinite linear;
    animation: spinner 1500ms infinite linear;
    border-radius: 0.5em;
    -webkit-box-shadow: rgba(255, 255, 255, 0.75) 1.5em 0 0 0, rgba(255, 255, 255, 0.75) 1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) 0 1.5em 0 0, rgba(255, 255, 255, 0.75) -1.1em 1.1em 0 0, rgba(255, 255, 255, 0.5) -1.5em 0 0 0, rgba(255, 255, 255, 0.5) -1.1em -1.1em 0 0, rgba(255, 255, 255, 0.75) 0 -1.5em 0 0, rgba(255, 255, 255, 0.75) 1.1em -1.1em 0 0;
    box-shadow: rgba(255, 255, 255, 0.75) 1.5em 0 0 0, rgba(255, 255, 255, 0.75) 1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) 0 1.5em 0 0, rgba(255, 255, 255, 0.75) -1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) -1.5em 0 0 0, rgba(255, 255, 255, 0.75) -1.1em -1.1em 0 0, rgba(255, 255, 255, 0.75) 0 -1.5em 0 0, rgba(255, 255, 255, 0.75) 1.1em -1.1em 0 0;
  }
  
  /* Animation */
  
  @-webkit-keyframes spinner {
    0% {
      -webkit-transform: rotate(0deg);
      -moz-transform: rotate(0deg);
      -ms-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
      -moz-transform: rotate(360deg);
      -ms-transform: rotate(360deg);
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }
  @-moz-keyframes spinner {
    0% {
      -webkit-transform: rotate(0deg);
      -moz-transform: rotate(0deg);
      -ms-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
      -moz-transform: rotate(360deg);
      -ms-transform: rotate(360deg);
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }
  @-o-keyframes spinner {
    0% {
      -webkit-transform: rotate(0deg);
      -moz-transform: rotate(0deg);
      -ms-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
      -moz-transform: rotate(360deg);
      -ms-transform: rotate(360deg);
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }
  @keyframes spinner {
    0% {
      -webkit-transform: rotate(0deg);
      -moz-transform: rotate(0deg);
      -ms-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
      -moz-transform: rotate(360deg);
      -ms-transform: rotate(360deg);
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }




/* FIN ANIMACION CARGANDO */

header{
  display: block;
}
#barraLateral{
  display: none;
}
#seguirPublicando{
  margin-top: 20%!important;
}
#publicarNuevaAdopcion{
  width: 90%;
}
body{
  background-image: url(../img/fondo4.png);
}
.card-body{
  background-image: url(../img/fondo3.jpg);
}
.card{
  box-shadow: 0px 10px 5px -4px rgba(0,0,0,0.46);
-webkit-box-shadow: 0px 10px 5px -4px rgba(0,0,0,0.46);
-moz-box-shadow: 0px 10px 5px -4px rgba(0,0,0,0.46);
margin-bottom: 3%;
}
p{
  font-weight: bold;
  font-size: 1rem;
}



@media (min-width:480px){
    #contenedorMeGusta{
        display: block;
    }
    #navMeGusta{
        display: none;
    }
    header{
      display: none;
    }
    #barraLateral{
      display: block;
    }
    .card{
      width: 30%!important;
    }
    #lista{
      display: flex;
      flex-wrap: wrap;
      align-items: center;
    }
    #seguirPublicando{
      margin-top: 5%!important;
    }
    #publicarNuevaAdopcion{
      width: 60%;
      margin: auto!important;
    }
    footer{
      margin-top: 5%;
    }
    #contenedorConfirmarEliminacion h4{
      margin-top: 2%;
    }
    #si,#no{
      width: 60%;
      margin: auto;
    }
    #contenedorConfirmarEliminacion {
      left: 20%;
      right: 20%;
  }
  #listaVacia h3{
    width: 60%;
    margin: auto;
    margin-top: 10%;
  }
  #publicar{
    margin-top: 10%;
  }
  #publicarAdopcion{
    width: 60%;
    margin: auto;
  }
}













/* sidebar */

/* The sidebar menu */
.sidebar {
  height: 100%; /* 100% Full-height */
  width: 0; /* 0 width - change this with JavaScript */
  position: fixed; /* Stay in place */
  z-index: 1; /* Stay on top */
  top: 0;
  left: 0;
  background-color: #111; /* Black*/
  overflow-x: hidden; /* Disable horizontal scroll */
  padding-top: 60px; /* Place content 60px from the top */
  transition: 0.5s; /* 0.5 second transition effect to slide in the sidebar */
}

/* The sidebar links */
.sidebar a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

/* When you mouse over the navigation links, change their color */
.sidebar a:hover {
  color: #f1f1f1;
}

/* Position and style the close button (top right corner) */
.sidebar .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}

/* The button used to open the sidebar */
.openbtn {
  font-size: 20px;
  cursor: pointer;
  background-color: #111;
  color: white;
  padding: 10px 15px;
  border: none;
}

.openbtn:hover {
  background-color: #444;
}

/* Style page content - use this if you want to push the page content to the right when you open the side navigation */
#main {
  transition: margin-left .5s; /* If you want a transition effect */
  padding: 0%;
}

/* On smaller screens, where height is less than 450px, change the style of the sidenav (less padding and a smaller font size) */
@media screen and (max-height: 450px) {
  .sidebar {padding-top: 15px;}
  .sidebar a {font-size: 18px;}
}
